Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363855 - font version change causes fontopia abend and trashes keyboard
Summary: font version change causes fontopia abend and trashes keyboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontopia
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mohammed Isam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 17:54 UTC by Don Swaner
Modified: 2016-09-06 04:18 UTC (History)
1 user (show)

Fixed In Version: fontopia-1.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 04:18:17 UTC


Attachments (Terms of Use)

Description Don Swaner 2016-08-03 17:54:48 UTC
Description of problem:
Changing font version from PSF2 to PSF1 causes abend and trashes keyboard

Version-Release number of selected component (if applicable):
fontopia-1.3-1.fc24.x86_64
kbd-2.0.3-3.fc24.x86_64
terminus-fonts-console-4.40-5.fc24.noarch

How reproducible:
Very

Steps to Reproduce:
1. copy /usr/lib/kbd/consolefonts/ter-124b.psf.gz to a work location and unzip.
2. login to a console
3. run fontopia on the unzipped ter-124b
4. press the "m" key to show font metrics
5. down arrow to "Version" (which is PSF2)
6. press ENTER (version changes to CP)
7. press ENTER (version changes to RAW)
8. press ENTER (version changes to BDF)
9. press ENTER (version changes to PSF1)
10. press TAB to OK button
11. press ENTER

Actual results:
fontopia abends, leaving the keyboard trashed.

Expected results:
Version is changed to PSF1, and fontopia session continues, in order to save
font as PSF1.

Additional info:
By fiddling with the keyboard, particularly holding down a WIN key and trying
other keys, you may be able to be automatically logged out, and avoid doing a cold boot.  If you manage to get logged out, log back in, and issue a "reset" command.

Comment 1 Fedora Update System 2016-08-04 15:55:37 UTC
fontopia-1.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-195759fcaf

Comment 2 Fedora Update System 2016-08-04 16:02:59 UTC
fontopia-1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10a90a21b0

Comment 3 Fedora Update System 2016-08-04 16:08:21 UTC
fontopia-1.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7061e76160

Comment 4 Don Swaner 2016-08-05 00:36:37 UTC
Not sure how generally useful this is, or why it works, but I've found that when the keyboard is insane, under the conditions of this bug, that holding down the left super/windows key and in rapid succession hitting the 2 and 3 keys causes a logout, and the keyboard is returned to a sane condition, allowing a login and then "reset" command to fully recover the keyboard.

Comment 5 Fedora Update System 2016-08-05 21:18:18 UTC
fontopia-1.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7061e76160

Comment 6 Fedora Update System 2016-08-05 21:22:00 UTC
fontopia-1.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10a90a21b0

Comment 7 Fedora Update System 2016-08-05 21:22:17 UTC
fontopia-1.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-195759fcaf

Comment 8 Fedora Update System 2016-08-08 01:09:59 UTC
fontopia-1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0dadfe2412

Comment 9 Fedora Update System 2016-08-08 01:18:49 UTC
fontopia-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fda3fc7bfe

Comment 10 Fedora Update System 2016-08-08 01:25:48 UTC
fontopia-1.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-df4c811cf6

Comment 11 Fedora Update System 2016-08-09 01:22:47 UTC
fontopia-1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fda3fc7bfe

Comment 12 Fedora Update System 2016-08-09 01:26:26 UTC
fontopia-1.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0dadfe2412

Comment 13 Fedora Update System 2016-08-09 02:17:27 UTC
fontopia-1.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-df4c811cf6

Comment 14 Fedora Update System 2016-08-10 23:13:24 UTC
fontopia-1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-915f605c39

Comment 15 Fedora Update System 2016-08-10 23:25:16 UTC
fontopia-1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd58d9f75e

Comment 16 Fedora Update System 2016-08-10 23:52:43 UTC
fontopia-1.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-21e23b5644

Comment 17 Fedora Update System 2016-08-12 02:54:56 UTC
fontopia-1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd58d9f75e

Comment 18 Fedora Update System 2016-08-12 03:03:01 UTC
fontopia-1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-915f605c39

Comment 19 Fedora Update System 2016-08-12 03:16:58 UTC
fontopia-1.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-21e23b5644

Comment 20 Fedora Update System 2016-08-15 04:19:59 UTC
fontopia-1.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2da7cf41bb

Comment 21 Fedora Update System 2016-08-15 04:29:02 UTC
fontopia-1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-558da0811b

Comment 22 Fedora Update System 2016-08-15 04:34:29 UTC
fontopia-1.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac7587fa5a

Comment 23 Fedora Update System 2016-08-16 01:55:05 UTC
fontopia-1.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-558da0811b

Comment 24 Fedora Update System 2016-08-16 05:18:39 UTC
fontopia-1.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac7587fa5a

Comment 25 Fedora Update System 2016-08-16 05:56:19 UTC
fontopia-1.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2da7cf41bb

Comment 26 Fedora Update System 2016-08-20 07:50:23 UTC
fontopia-1.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ce29dda6f6

Comment 27 Fedora Update System 2016-08-21 03:46:43 UTC
fontopia-1.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ce29dda6f6

Comment 28 Fedora Update System 2016-08-23 12:49:00 UTC
fontopia-1.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2016-08-23 15:21:55 UTC
fontopia-1.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-08-31 13:19:30 UTC
fontopia-1.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2016-09-06 04:18:14 UTC
fontopia-1.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.